Classic Trains - The First 10 Years - Yosemite support

Will the Classic Trains The First 10 Years work on Mac OS 10.10 (Yosemite)?

On October 16th, 2014 Apple released a new operating system, Yosemite (10.10) that is a free upgrade to existing Mac OS customers. Unfortunately this new operating system upgrade is incompatible with Classic Trains The First 10 Years.  Although not recommended, you may choose to not install Yosemite on systems where you have your DVD collection installed to keep enjoying your existing back-issue collection.
Published: October 20, 2014
Print ArticleE-mail ArticleBookmark and Share